Bug 1208841 - [abrt] gnome-2048: color_palette_pick_color(): gnome-2048 killed by SIGSEGV
Summary: [abrt] gnome-2048: color_palette_pick_color(): gnome-2048 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-2048
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4a4c192a7d5852c2bc8c3eb3e2f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-03 11:31 UTC by Michal Kovarik
Modified: 2015-04-21 18:35 UTC (History)
3 users (show)

Fixed In Version: gnome-2048-0.1.0-0.2.git83c5a4a.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:35:49 UTC


Attachments (Terms of Use)
File: backtrace (27.00 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: core_backtrace (10.57 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: dso_list (10.94 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: environ (1.67 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: maps (61.61 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: mountinfo (4.36 KB, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: open_fds (711 bytes, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details
File: var_log_messages (622 bytes, text/plain)
2015-04-03 11:31 UTC, Michal Kovarik
no flags Details

Description Michal Kovarik 2015-04-03 11:31:00 UTC
Description of problem:
Connected two 2048 together. Application quit instead of creation 4096.

Version-Release number of selected component:
gnome-2048-0.1.0-0.1.git83c5a4a.fc22

Additional info:
reporter:       libreport-2.5.0
backtrace_rating: 4
cmdline:        gnome-2048
crash_function: color_palette_pick_color
executable:     /usr/bin/gnome-2048
global_pid:     23481
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 color_palette_pick_color at view.c:823
 #1 _tile_view_pick_color at view.c:625
 #2 tile_view_construct at view.c:542
 #3 tile_view_new at view.c:551
 #4 _game_create_tile at game.c:1193
 #5 _game_on_move_trans_stopped at game.c:2898
 #6 __game_on_move_trans_stopped_clutter_timeline_stopped at game.c:1213
 #11 clutter_timeline_do_frame at clutter-timeline.c:1090
 #12 master_clock_advance_timelines at gdk/clutter-master-clock-gdk.c:196
 #13 clutter_master_clock_gdk_update at gdk/clutter-master-clock-gdk.c:271

Comment 1 Michal Kovarik 2015-04-03 11:31:04 UTC
Created attachment 1010602 [details]
File: backtrace

Comment 2 Michal Kovarik 2015-04-03 11:31:05 UTC
Created attachment 1010603 [details]
File: cgroup

Comment 3 Michal Kovarik 2015-04-03 11:31:07 UTC
Created attachment 1010604 [details]
File: core_backtrace

Comment 4 Michal Kovarik 2015-04-03 11:31:09 UTC
Created attachment 1010605 [details]
File: dso_list

Comment 5 Michal Kovarik 2015-04-03 11:31:10 UTC
Created attachment 1010606 [details]
File: environ

Comment 6 Michal Kovarik 2015-04-03 11:31:12 UTC
Created attachment 1010607 [details]
File: limits

Comment 7 Michal Kovarik 2015-04-03 11:31:14 UTC
Created attachment 1010608 [details]
File: maps

Comment 8 Michal Kovarik 2015-04-03 11:31:16 UTC
Created attachment 1010609 [details]
File: mountinfo

Comment 9 Michal Kovarik 2015-04-03 11:31:17 UTC
Created attachment 1010610 [details]
File: namespaces

Comment 10 Michal Kovarik 2015-04-03 11:31:19 UTC
Created attachment 1010611 [details]
File: open_fds

Comment 11 Michal Kovarik 2015-04-03 11:31:21 UTC
Created attachment 1010612 [details]
File: proc_pid_status

Comment 12 Michal Kovarik 2015-04-03 11:31:22 UTC
Created attachment 1010613 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-04-03 12:14:09 UTC
gnome-2048-0.1.0-0.2.git83c5a4a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-2048-0.1.0-0.2.git83c5a4a.fc22

Comment 14 Fedora Update System 2015-04-04 16:31:55 UTC
Package gnome-2048-0.1.0-0.2.git83c5a4a.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-2048-0.1.0-0.2.git83c5a4a.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5525/gnome-2048-0.1.0-0.2.git83c5a4a.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-04-21 18:35:49 UTC
gnome-2048-0.1.0-0.2.git83c5a4a.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.